# Move a file to the trash

This function moves a file or directory to the account trash directory and records its original path so that you can restore it later with the restore_from_trash function.

Important:

  When you disable the File Storage role, the system disables this function.

Endpoint: GET /Fileman/trash_file
Version: 11.138.0.19
Security: BasicAuth

## Query parameters:

  - `path` (string, required)
    The path to the file or directory to move to the trash.
    Example: "public_html/unwanted.txt"

## Response 200 fields (application/json):

  - `apiversion` (integer)
    The version of the API.
    Example: 3

  - `func` (string)
    The name of the method called.
    Example: "trash_file"

  - `module` (string)
    The name of the module called.
    Example: "Fileman"

  - `result` (object)

  - `result.data` (object)

  - `result.data.path` (string)
    The resolved original path.

  - `result.data.trash_leaf` (string)
    The name of the item inside the trash directory.
    Example: "unwanted.txt"

  - `result.errors` (array,null)
    List of errors if the API failed.

  - `result.messages` (array,null)
    List of messages generated by the API.

  - `result.metadata` (object)

  - `result.status` (integer)
    * 1 — Success.
* 0 — Failed. Check the errors field for more details.
    Enum: 0, 1

  - `result.warnings` (array,null)
    List of warnings generated by the API. Warnings describe non-critical failures or other problematic conditions noted while running a API.


